[Launch]
ProgramExecutable=GomPlayer\GOM.exe
WorkingDirectory="%PAL:AppDir%\GomPlayer"
RunAsAdmin=try 
SinglePortableAppInstance=true
DirectoryMoveOK=yes 

[Activate]
Registry=true

[RegistryKeys]
GomPlayer_CU=HKCU\Software\GRETECH\GomPlayer
GomPlayer_LM=HKLM\SOFTWARE\GRETECH\GomPlayer
-=HKLM\SOFTWARE\Classes\GomPlayer.3gp
-=HKLM\SOFTWARE\Classes\GomPlayer.asf
-=HKLM\SOFTWARE\Classes\GomPlayer.asx
-=HKLM\SOFTWARE\Classes\GomPlayer.avi
-=HKLM\SOFTWARE\Classes\GomPlayer.dat
-=HKLM\SOFTWARE\Classes\GomPlayer.divx
-=HKLM\SOFTWARE\Classes\GomPlayer.dmskm
-=HKLM\SOFTWARE\Classes\GomPlayer.dmb
-=HKLM\SOFTWARE\Classes\GomPlayer.flv
-=HKLM\SOFTWARE\Classes\GomPlayer.gom
-=HKLM\SOFTWARE\Classes\GomPlayer.ifo
-=HKLM\SOFTWARE\Classes\GomPlayer.k3g
-=HKLM\SOFTWARE\Classes\GomPlayer.lmp4
-=HKLM\SOFTWARE\Classes\GomPlayer.m1v
-=HKLM\SOFTWARE\Classes\GomPlayer.mkv
-=HKLM\SOFTWARE\Classes\GomPlayer.mp4
-=HKLM\SOFTWARE\Classes\GomPlayer.mov
-=HKLM\SOFTWARE\Classes\GomPlayer.mpe
-=HKLM\SOFTWARE\Classes\GomPlayer.mpg
-=HKLM\SOFTWARE\Classes\GomPlayer.mqv
-=HKLM\SOFTWARE\Classes\GomPlayer.mts
-=HKLM\SOFTWARE\Classes\GomPlayer.mpeg
-=HKLM\SOFTWARE\Classes\GomPlayer.m4v
-=HKLM\SOFTWARE\Classes\GomPlayer.m2t
-=HKLM\SOFTWARE\Classes\GomPlayer.m2v
-=HKLM\SOFTWARE\Classes\GomPlayer.m2ts
-=HKLM\SOFTWARE\Classes\GomPlayer.ogm
-=HKLM\SOFTWARE\Classes\GomPlayer.ogv
-=HKLM\SOFTWARE\Classes\GomPlayer.rm
-=HKLM\SOFTWARE\Classes\GomPlayer.rmvb
-=HKLM\SOFTWARE\Classes\Gomplayer.Skinfile
-=HKLM\SOFTWARE\Classes\GomPlayer.skm
-=HKLM\SOFTWARE\Classes\GomPlayer.svi
-=HKLM\SOFTWARE\Classes\GomPlayer.swf
-=HKLM\SOFTWARE\Classes\GomPlayer.tp
-=HKLM\SOFTWARE\Classes\GomPlayer.ts
-=HKLM\SOFTWARE\Classes\GomPlayer.trp
-=HKLM\SOFTWARE\Classes\GomPlayer.vob
-=HKLM\SOFTWARE\Classes\GomPlayer.wm
-=HKLM\SOFTWARE\Classes\GomPlayer.wmp
-=HKLM\SOFTWARE\Classes\GomPlayer.wmv
-=HKLM\SOFTWARE\Classes\GomPlayer.wmx
-=HKLM\SOFTWARE\Classes\GomPlayer.wvx
-=HKLM\SOFTWARE\Classes\.3gp
-=HKLM\SOFTWARE\Classes\.asf
-=HKLM\SOFTWARE\Classes\.asx
-=HKLM\SOFTWARE\Classes\.avi
-=HKLM\SOFTWARE\Classes\.dat
-=HKLM\SOFTWARE\Classes\.divx
-=HKLM\SOFTWARE\Classes\.dmskm
-=HKLM\SOFTWARE\Classes\.dmb
-=HKLM\SOFTWARE\Classes\.flv
-=HKLM\SOFTWARE\Classes\.gom
-=HKLM\SOFTWARE\Classes\.ifo
-=HKLM\SOFTWARE\Classes\.k3g
-=HKLM\SOFTWARE\Classes\.lmp4
-=HKLM\SOFTWARE\Classes\.m1v
-=HKLM\SOFTWARE\Classes\.mkv
-=HKLM\SOFTWARE\Classes\.mp4
-=HKLM\SOFTWARE\Classes\.mov
-=HKLM\SOFTWARE\Classes\.mpe
-=HKLM\SOFTWARE\Classes\.mpg
-=HKLM\SOFTWARE\Classes\.mqv
-=HKLM\SOFTWARE\Classes\.mts
-=HKLM\SOFTWARE\Classes\.mpeg
-=HKLM\SOFTWARE\Classes\.m4v
-=HKLM\SOFTWARE\Classes\.m2t
-=HKLM\SOFTWARE\Classes\.m2v
-=HKLM\SOFTWARE\Classes\.m2ts
-=HKLM\SOFTWARE\Classes\.ogm
-=HKLM\SOFTWARE\Classes\.ogv
-=HKLM\SOFTWARE\Classes\.rm
-=HKLM\SOFTWARE\Classes\.rmvb
-=HKLM\SOFTWARE\Classes\.Skinfile
-=HKLM\SOFTWARE\Classes\.skm
-=HKLM\SOFTWARE\Classes\.svi
-=HKLM\SOFTWARE\Classes\.swf
-=HKLM\SOFTWARE\Classes\.tp
-=HKLM\SOFTWARE\Classes\.ts
-=HKLM\SOFTWARE\Classes\.trp
-=HKLM\SOFTWARE\Classes\.vob
-=HKLM\SOFTWARE\Classes\.wm
-=HKLM\SOFTWARE\Classes\.wmp
-=HKLM\SOFTWARE\Classes\.wmv
-=HKLM\SOFTWARE\Classes\.wmx
-=HKLM\SOFTWARE\Classes\.wvx
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mpe
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mpg
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.wvx
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.asf
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.asx
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.dat
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.avi
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.M2V
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.wmv
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.wmx
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mpeg
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.rmvb
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.wm
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.m1v
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.m2t
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.ogm
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.ogv
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mp4
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.vob
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.gom
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mov
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.m4v
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mqv
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.m2ts
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.flv
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.lmp4
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mts
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.svi
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.rsnp
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.swf
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.rm
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.wmp
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.k3g
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.tp
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.ts
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.divx
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.skm
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.dmskm
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.mkv
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.trp
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.dmb
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.3gp
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.ifo
-=HKLM\SOFTWARE\Classes\CLSID\{083863F1-70DE-11D0-BD40-00A0C911CE86}
-=HKLM\SOFTWARE\Classes\CLSID\{BFF03BA9-F3B8-438C-9482-357E05CBA4E6}
-=HKLM\SOFTWARE\Classes\CLSID\{076DA88D-B69E-4F39-84D8-C0632B1A4FD3}
-=HKLM\SOFTWARE\Classes\CLSID\{07D8B782-BC02-485B-8B45-0C6073127B2B}
-=HKLM\SOFTWARE\Classes\CLSID\{0D84C574-0C1D-466C-9D7B-49FD7BBF6E87}
-=HKLM\SOFTWARE\Classes\CLSID\{4DE7B7BF-C22F-4584-A0AB-0AA4559B2E36}
-=HKLM\SOFTWARE\Classes\CLSID\{9396298F-8676-44F3-8557-C3C23B642DF7}
-=HKLM\SOFTWARE\Classes\CLSID\{C1EA8A02-9E67-4967-AEDC-845B8AA13EC0}
-=HKLM\SOFTWARE\Classes\CLSID\{521BCF17-7FA4-434D-A46B-EC6F17298C64}
-=HKLM\SOFTWARE\Classes\CLSID\{6B866272-0A95-4edc-9762-56A447040416}
-=HKLM\SOFTWARE\Classes\CLSID\{3D446B6F-71DE-4437-BE15-8CE47174340F}
-=HKLM\SOFTWARE\Classes\CLSID\{6C331DF9-3CD0-4069-8D97-CE8BAC4A4ED9}
-=HKLM\SOFTWARE\Classes\CLSID\{7CA92680-F7AA-4067-B7EE-8693FB265085}
-=HKLM\SOFTWARE\Classes\CLSID\{39F498AF-1A09-4275-B193-673B0BA3D478}
-=HKLM\SOFTWARE\Classes\CLSID\{4A9A79B3-6EAA-46AE-B024-5918C04C169E}
-=HKLM\SOFTWARE\Classes\CLSID\{632CC9D6-5602-4854-AFD2-6EFC59177DE5}
-=HKLM\SOFTWARE\Classes\CLSID\{D18284FE-DE51-4F33-A9BB-A8D3AE4B66BB}
-=HKLM\SOFTWARE\Classes\CLSID\{5A9841E4-3164-48AB-B54F-633A792FB047}
-=HKLM\SOFTWARE\Classes\CLSID\{B751D245-0DAA-469E-96BB-D4E0567C46F5}
-=HKLM\SOFTWARE\Classes\CLSID\{4CDD9B3E-1D8E-48DE-8B5B-80AFADCB8CA1}
-=HKLM\SOFTWARE\Classes\CLSID\{8C257F7E-D974-480A-83EF-D6B525065A00}
-=HKLM\SOFTWARE\Classes\CLSID\{8A0EA5AD-BE4D-46CD-8C64-7DCCE4F66B87}
-=HKLM\SOFTWARE\Classes\CLSID\{A54F7D56-2F2D-4743-9E6B-AC847A3ED05F}
-=HKLM\SOFTWARE\Classes\CLSID\{4248B616-E69E-446D-B060-74DE04FC6E51}
-=HKLM\SOFTWARE\Classes\CLSID\{4248B600-E69E-446D-B060-74DE04FC6E51}
-=HKLM\SOFTWARE\Classes\CLSID\{FAE82D06-6DFC-4802-A764-65582EF928C4}
-=HKLM\SOFTWARE\Classes\CLSID\{4D40E319-013F-4F5C-900D-25EA9C1FF16D}
-=HKLM\SOFTWARE\Classes\CLSID\{8B359726-D939-41A8-8CBD-69A27675D978}
-=HKLM\SOFTWARE\Classes\CLSID\{9794BD42-281E-45EE-94CC-70A260E407B5}
-=HKLM\SOFTWARE\Classes\CLSID\{6BA9DD10-09B9-4C8B-89A8-8AC445601214}
-=HKLM\SOFTWARE\Classes\CLSID\{11AB7D32-A2E6-47CC-B03A-58972E78D94A}
-=HKLM\SOFTWARE\Classes\CLSID\{7CA92689-F7AA-4067-B7EE-8693FB265085}
-=HKLM\SOFTWARE\Classes\CLSID\{C082574C-A604-44FA-B48A-CA81C9C0CE4F}
-=HKLM\SOFTWARE\Classes\CLSID\{C846F6AA-63EE-42CB-AB73-229BE6A795AA}
-=HKLM\SOFTWARE\Classes\CLSID\{D0F0AD6B-ECCC-401e-8E71-C4363D41399C}
-=HKLM\SOFTWARE\Classes\Interface\{46899D92-473E-413E-9F47-8D0765860AE9}
-=HKLM\SOFTWARE\Classes\Interface\{64230EB9-9ADF-488F-8C59-522FD604A814}
-=HKLM\SOFTWARE\Classes\Interface\{06590FE0-7ABB-41E0-B565-C312B0AF3951}
-=HKLM\SOFTWARE\Classes\Interface\{11AB7D32-A2E6-47CC-B03A-58972E78D94A}
-=HKLM\SOFTWARE\Classes\Interface\{2250175F-1230-4416-BA71-89E123F7C0EB}

[RegistryCleanupIfEmpty]
1=HKCU\Software\GRETECH\GomPlayer
2=HKCU\Software\GRETECH
3=HKLM\SOFTWARE\GRETECH\GomPlayer
4=HKLM\SOFTWARE\GRETECH

[DirectoriesMove]
GomPlayer=%AppData%\GRETECH\GomPlayer
Documents=%Documents%\GomPlayer

[DirectoriesCleanupIfEmpty]
1=%AppData%\GRETECH\GomPlayer
2=%AppData%\GRETECH
3=%Documents%\GomPlayer









